import request from '@/utils/request'

// 查询以删除订单列表
export function listOrderDelete(query) {
  return request({
    url: '/business/orderDelete/list',
    method: 'get',
    params: query
  })
}

// 查询以删除订单详细
export function getOrderDelete(id) {
  return request({
    url: '/business/orderDelete/' + id,
    method: 'get'
  })
}

// 新增以删除订单
export function addOrderDelete(data) {
  return request({
    url: '/business/orderDelete',
    method: 'post',
    data: data
  })
}

// 修改以删除订单
export function updateOrderDelete(data) {
  return request({
    url: '/business/orderDelete',
    method: 'put',
    data: data
  })
}

// 删除以删除订单
export function delOrderDelete(id) {
  return request({
    url: '/business/orderDelete/' + id,
    method: 'delete'
  })
}

// 导出以删除订单
export function exportOrderDelete(query) {
  return request({
    url: '/business/orderDelete/export',
    method: 'get',
    params: query
  })
}